%global pypi_name gabbi
%global pypi gabbi-run

Summary:        Declarative HTTP testing library
Name:           python-%{pypi_name}
Version:        2.8.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/cdent/gabbi
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Gabbi is a tool for running HTTP tests where requests and responses are represented in a declarative YAML-based form.

%package -n python3-%{pypi_name}
Summary:        Declarative HTTP testing library
BuildRequires: python3-devel python3-setuptools python3-six python3-pbr python3-sphinx python3-sphinx_rtd_theme
BuildRequires: python3-httplib2 python3-wsgi_intercept python3-colorama python3-jsonpath-rw-ext python3-PyYAML
BuildRequires: python3-pytest python3-urllib3 python3-mock python3-stestr python3-coverage
Requires: python3-setuptools python3-certifi python3-six python3-wsgi_intercept python3-testtools
Requires: python3-pbr python3-colorama python3-jsonpath-rw-ext python3-pytest python3-PyYAML python3-urllib3

%description -n python3-%{pypi_name}
Gabbi is a tool for running HTTP tests where requests and responses are represented in a declarative YAML-based form.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

sphinx-build docs/source html
sphinx-build -b man docs/source man

install -p -D -m 644 man/gabbi.1 %{buildroot}%{_mandir}/man1/gabbi.1


rm -rf html/.{doctrees,buildinfo}

%files -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{_bindir}/%{pypi}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_mandir}/man1/gabbi.1*
%exclude %{python3_sitelib}/gabbi/tests/gabbits_intercept/horse

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Shuo Wang <abushwang@tencent.com> - 2.8.0-1
- initial build
